Bug 38173 - Installer overwrote existing partition with swap
Installer overwrote existing partition with swap
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-28 01:13 EDT by Need Real Name
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-14 16:08:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-04-28 01:13:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i586)


Using graphical installer to upgrade existing 6.1 install.  The installer
didn't recognise an existing logical partition that was flaged as linux
swap.  It suggested the partition name of the existing 6.1 install.  I
thought it was going to create a swap file like other unixes do, so I said
yes, and it proceeded to try and format a 400mb swap on my existing 2.2gb
install.  Although fdisk still saw the partition as a linux native, it was
unreadable, and I ended up doing a new WS install

Reproducible: Didn't try
Steps to Reproduce:
1.existing 6.1 install.  I had deleted and recreated the swap partition
using partition magic.
2. booted up the 7.1 disc1, chose the graphical install, and the upgrade
option
3. It didn't see the swap partition and decided to create one on my
existing 2.2 gig partition
	

Actual Results:  system was scrod

Expected Results:  Install smart enough NOT to try and format an existing
linux native partition as swap?

I'm rating this high since it resulted in loss of data.  That being said,
this is probably not going to find a lot of people (I hope)
Comment 1 Brent Fox 2001-04-30 10:58:00 EDT
I'm not really sure what the problem is here.  During an upgrade, if the
installer detects that you do not have enough existing swap (about 2 times the
amount of RAM you have), then it will create a swap file on the partition of
your choice.  The installer does *not* create swap partitions during upgrades,
so I'm pretty confused by the behavior that you saw.
Comment 2 Need Real Name 2001-05-01 11:35:15 EDT
While making the swap file, it clobbered the partition and rendered the system 
unbootable and the partition unreadable.  It was the only linux native part on 
the disk.
Comment 3 Brent Fox 2001-05-01 12:20:47 EDT
How much free space was available before it tried to make the 400MB swap file?
Comment 4 Need Real Name 2001-05-01 12:28:58 EDT
It would of been close to all the available space.  Maybe even more.  Not sure, 
and I don't have a good backup of the system just prior to the install.  It was 
a "throw-away" install that I wanted to test the new version on.
Comment 5 Brent Fox 2001-05-01 13:44:09 EDT
Since you have reformatted the machine, there's not much hope of knowing exactly
what went wrong.  When you used Partition Magic to create the swap partition,
did you reboot into the 6.1 system and run mkswap?  If you didn't, the installer
probably didn't know what to make of your existing partition table.  There is a
good chance that your partition table after using Partition Magic is no longer
in sync with your /etc/fstab file.  The installer probably got confused when it
read an /etc/fstab file that no longer described the hard drive's partition table.
Comment 6 Brent Fox 2001-05-14 16:08:43 EDT
Closing due to inactivity. Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.